Package: org.codehaus.groovy.vmplugin.v8

## [Java] Class Java8

- org.codehaus.groovy.vmplugin.v8.Java8

- Java 8 based functions.

  Since:
    2.5.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Java8 ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected int` | `getElementCode(ElementType value)`
    `` | `Class<?>[]` | `getPluginDefaultGroovyMethods()`
    `` | `int` | `getVersion()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Java7` | `getInvokeSpecialHandle, getVersion, invalidateCallSites, invokeHandle`
    `class Java6` | `getVersion`
    `class Java5` | `configureAnnotation, configureAnnotationFromDefinition, configureAnnotationNodeFromDefinition, configureClassNode, configureTypeVariableDefinition, configureTypeVariableReference, getElementCode, getInvokeSpecialHandle, getPluginDefaultGroovyMethods, getPluginStaticGroovyMethods, getVersion, invalidateCallSites, invokeHandle, setAdditionalClassInformation`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public Java8()

  - ### Method Detail

    - #### @Override protected int getElementCode(ElementType value)

    - #### @Override public Class<?>[] getPluginDefaultGroovyMethods()

    - #### @Override public int getVersion()